import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:intro_slider/intro_slider.dart';
import '../../Controller/Introscreen/Introscreencontroller.dart';
import '../../Helper/Constants/Colorconstants.dart';


class IntroScreenView extends StatelessWidget {
  IntroScreenView({super.key});

  final IntroScreenController introScreenController = Get.put(IntroScreenController());



  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;

    return GetBuilder<IntroScreenController>(
        initState: (_){

        },
        builder: (controller) {
          return SafeArea(
            top: false,
            child: IntroSlider(
              isScrollable: true,
              autoScrollInterval: Duration(seconds: 10),
              isAutoScroll: true,
              key: UniqueKey(),
              doneButtonStyle: ButtonStyle(
                foregroundColor: WidgetStateProperty.all(ColorConstants.primaryColor),
              ),
              nextButtonStyle : ButtonStyle(
                foregroundColor: WidgetStateProperty.all(ColorConstants.primaryColor),
              ),
              skipButtonStyle: ButtonStyle(
                foregroundColor: WidgetStateProperty.all(ColorConstants.primaryColor),
              ),
              indicatorConfig: IndicatorConfig(activeIndicatorWidget:CircleAvatar(
                radius: screenSize.height * 0.004,
                backgroundColor: ColorConstants.primaryColor
               ),
              ),
              listContentConfig: controller.listContentConfig,
              onDonePress:  controller.onDonePress,

            ),
          );
        }
    );
  }
}